var TableManaged = function () {
var initTable1 = function () {
var table = $('#sample_1');
        table.dataTable({"language": {"aria": {"sortAscending": ": activate to sort column ascending", "sortDescending": ": activate to sort column descending"}, "emptyTable": "No data available in table", "info": "Showing _START_ to _END_ of _TOTAL_ records", "infoEmpty": "No records found", "infoFiltered": "(filtered1 from _MAX_ total records)", "lengthMenu": "_MENU_", "search": "", "zeroRecords": "No matching records found", "paginate": {"previous": "Prev", "next": "Next", "last": "Last", "first": "First"}}, "bStateSave": true, "columns": [{"orderable": false}, {"orderable": true}, {"orderable": false}, {"orderable": false}, {"orderable": true}, {"orderable": false}], "lengthMenu": [[5, 15, 20, - 1], [5, 15, 20, "All"]], "pageLength": 5, "pagingType": "bootstrap_full_number", "columnDefs": [{'orderable': false, 'targets': [0]}, {"searchable": false, "targets": [0]}], "order": [[1, "asc"]]});
        var tableWrapper = jQuery('#sample_1_wrapper');
        table.find('.group-checkable').change(function () {
var set = jQuery(this).attr("data-set");
        var checked = jQuery(this).is(":checked");
        jQuery(set).each(function () {
if (checked) {
$(this).attr("checked", true);
        $(this).parents('tr').addClass("active");
} else {
$(this).attr("checked", false);
        $(this).parents('tr').removeClass("active");
}
});
        jQuery.uniform.update(set);
});
        table.on('change', 'tbody tr .checkboxes', function () {
        $(this).parents('tr').toggleClass("active");
        });
        tableWrapper.find('.dataTables_length select').addClass("form-control input-xsmall input-inline");
}
var initTable2 = function () {
var table = $('#sample_2');
        table.dataTable({"language": {"aria": {"sortAscending": ": activate to sort column ascending", "sortDescending": ": activate to sort column descending"}, "emptyTable": "No data available in table", "info": "Showing _START_ to _END_ of _TOTAL_ records", "infoEmpty": "No records found", "infoFiltered": "(filtered1 from _MAX_ total records)", "lengthMenu": " _MENU_", "paging": {"previous": "Prev", "next": "Next"}, "search": "", "zeroRecords": "No matching records found"}, "bStateSave": true, "lengthMenu": [[5, 15, 20, - 1], [5, 15, 20, "All"]], "pageLength": 5, "columnDefs": [{'orderable': false, 'targets': [0]}, {"searchable": false, "targets": [0]}], "order": [[1, "asc"]]});
        var tableWrapper = jQuery('#sample_2_wrapper');
        table.find('.group-checkable').change(function () {
var set = jQuery(this).attr("data-set");
        var checked = jQuery(this).is(":checked");
        jQuery(set).each(function () {
if (checked) {
$(this).attr("checked", true);
} else {
$(this).attr("checked", false);
}
});
        jQuery.uniform.update(set);
});
        tableWrapper.find('.dataTables_length select').select2();
}
var initTable2 = function () {
var table = $('#awtbl');
        table.dataTable({"language": {"aria": {"sortAscending": ": activate to sort column ascending", "sortDescending": ": activate to sort column descending"}, "emptyTable": "No data available in table", "info": "Showing _START_ to _END_ of _TOTAL_ records", "infoEmpty": "No records found", "infoFiltered": "(filtered1 from _MAX_ total records)", "lengthMenu": " _MENU_", "paging": {"previous": "Prev", "next": "Next"}, "search": "", "zeroRecords": "No matching records found"}, "bStateSave": true, "lengthMenu": [[5, 15, 20, - 1], [5, 15, 20, "All"]], "pageLength": 5, "columnDefs": [{'orderable': true, 'targets': [0]}, {"searchable": false, "targets": [0]}], "order": [[1, "asc"]]});
        var tableWrapper = jQuery('#sample_2_wrapper');
        table.find('.group-checkable').change(function () {
var set = jQuery(this).attr("data-set");
        var checked = jQuery(this).is(":checked");
        jQuery(set).each(function () {
if (checked) {
$(this).attr("checked", true);
} else {
$(this).attr("checked", false);
}
});
        jQuery.uniform.update(set);
});
        tableWrapper.find('.dataTables_length select').select2();
}
var initTable3 = function () {
var table = $('#sample_3');
        table.dataTable(
        {"language": {
        "aria": {
        "sortAscending": ": activate to sort column ascending",
                "sortDescending": ": activate to sort column descending"}
        , "emptyTable": "No data available in table", "info": "Showing _START_ to _END_ of _TOTAL_ records",
                "infoEmpty": "No records found", "infoFiltered": "(filtered1 from _MAX_ total records)",
                "lengthMenu": "_MENU_", "search": "", "zeroRecords": "No matching records found"}, "bStateSave": true, "lengthMenu": [[5, 15, 20, - 1], [5, 15, 20, "All"]], "pageLength": 5, "columnDefs": [{'orderable': false, 'targets': [0]}, {"searchable": false, "targets": [0]}], "order": [[1, "asc"]]});
        var tableWrapper = jQuery('#sample_3_wrapper');
        table.find('.group-checkable').change(function () {
var set = jQuery(this).attr("data-set");
        var checked = jQuery(this).is(":checked");
        jQuery(set).each(function () {
if (checked) {
$(this).attr("checked", true);
} else {
$(this).attr("checked", false);
}
});
        jQuery.uniform.update(set);
});
        tableWrapper.find('.dataTables_length select').select2();
}
var initTable4 = function () {
var table = $('#sample_visitall');
        table.dataTable({"language": {"aria": {"sortAscending": ": activate to sort column ascending", "sortDescending": ": activate to sort column descending"}, "emptyTable": "No data available in table", "info": "Showing _START_ to _END_ of _TOTAL_ records", "infoEmpty": "No records found", "infoFiltered": "(filtered1 from _MAX_ total records)", "lengthMenu": "_MENU_", "search": "", "zeroRecords": "No matching records found"}, "bStateSave": true, "lengthMenu": [[15, 20, - 1], [15, 20, "All"]], "pageLength": 15, "columnDefs": [{'orderable': false, 'targets': [0]}, {"searchable": false, "targets": [0]}], "order": [[1, "asc"]]});
        var tableWrapper = jQuery('#sample_visitall_wrapper');
        table.find('.group-checkable').change(function () {
var set = jQuery(this).attr("data-set");
        var checked = jQuery(this).is(":checked");
        jQuery(set).each(function () {
if (checked) {
$(this).attr("checked", true);
} else {
$(this).attr("checked", false);
}
});
        jQuery.uniform.update(set);
});
        tableWrapper.find('.dataTables_length select').select2();
}



return{init: function () {
if (!jQuery().dataTable) {
return;
}
initTable1();
        initTable2();
        initTable3();
        initTable4();
}};
        }();